<template>
  <v-container>
    <v-row>
      <v-col>
        <!-- Date picker -->
        <v-menu
          ref="menu1"
          v-model="menu1"
          :close-on-content-click="false"
          transition="scale-transition"
          offset-y
        >
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              v-model="computedDateFormatted"
              v-bind="attrs"
              v-on="on"
              readonly
              :label="label"
            >
              <template v-slot:append>
                <v-hover v-slot="{ hover }">
                  <v-icon large :color="hover ? '#01ab91' : 'red'">
                    mdi-calendar
                  </v-icon>
                </v-hover>
              </template>
            </v-text-field>
          </template>
          <v-date-picker
            v-model="selected"
            @input="menu1 = false"
            no-title
            header-color="green lighten-1"
            :min="min"
            color="green lighten-1"
          />
        </v-menu>
        <!-- end of date picker -->
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "CustomDatePicker",
  props: {
    value: {
      type: String,
      default: "",
    },
    label: {
      type: String,
      default: "",
    },
    min: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      menu1: null,
      date: null,
      dateFormatted: null,
    };
  },
  computed: {
    computedDateFormatted() {
      return this.formatDate(this.selected);
    },
    selected: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  methods: {
    formatDate(date) {
      if (!date) return null;

      const [year, month, day] = date.split("-");
      return `${day}/${month}/${year}`;
    },
  },
};
</script>
